Changeset 301 in vbox for trunk/src/VBox
- Timestamp:
- Jan 25, 2007 2:42:44 PM (18 years ago)
- svn:sync-xref-src-repo-rev:
- 17848
- Location:
- trunk/src/VBox/Additions
- Files:
-
- 5 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Additions/common/VBoxGuestLib/HGCM.cpp
r1 r301 72 72 } 73 73 74 DECLINLINE(int) vbglHandleHeapEnter (void)74 static DECLINLINE(int) vbglHandleHeapEnter (void) 75 75 { 76 76 int rc = RTSemFastMutexRequest(g_vbgldata.mutexHGCMHandle); … … 82 82 } 83 83 84 DECLINLINE(void) vbglHandleHeapLeave (void)84 static DECLINLINE(void) vbglHandleHeapLeave (void) 85 85 { 86 86 RTSemFastMutexRelease(g_vbgldata.mutexHGCMHandle); -
trunk/src/VBox/Additions/linux/Makefile
r296 r301 55 55 installer/vboxadd.sh \ 56 56 installer/install.sh \ 57 ../../Installer/linux/routines.sh \ 57 58 ../../Installer/linux/runlevel.sh \ 58 59 installer/x11config.pl \ … … 82 83 $(QUIET)$(INSTALL) -m 0755 installer/vboxadd-timesync.sh $(PATH_TARGET)/install 83 84 $(QUIET)$(INSTALL) -m 0755 installer/vboxadd.sh $(PATH_TARGET)/install 85 $(QUIET)$(INSTALL) -m 0755 ../../Installer/linux/routines.sh $(PATH_TARGET)/install 84 86 $(QUIET)$(INSTALL) -m 0755 ../../Installer/linux/runlevel.sh $(PATH_TARGET)/install 85 87 $(QUIET)$(INSTALL) -m 0755 installer/x11config.pl $(PATH_TARGET)/install -
trunk/src/VBox/Additions/linux/installer/vboxadd-timesync.sh
r1 r301 1 #!/bin/ bash1 #!/bin/sh 2 2 # 3 3 # InnoTek VirtualBox … … 32 32 ### END INIT INFO 33 33 34 # We still have some dependency problems to solve 35 #if [ ! "`uname -r | grep '2.4'`" = "" ]; then 36 # echo The VirtualBox time synchronization module currently does not work on 2.4 series Linux kernels 37 # exit 0 38 #fi 34 PATH=$PATH:/bin:/sbin:/usr/sbin 39 35 40 36 system=unknown … … 51 47 system=gentoo 52 48 PIDFILE="/var/run/vboxadd-timesync" 49 elif [ -f /etc/slackware-version ]; then 50 system=slackware 53 51 else 54 52 echo "$0: Unknown system" 1>&2 55 53 fi 56 54 57 if [ $system= redhat ]; then55 if [ "$system" = redhat ]; then 58 56 . /etc/init.d/functions 59 57 fail_msg() { … … 68 66 fi 69 67 70 if [ $system= suse ]; then68 if [ "$system" = suse ]; then 71 69 . /etc/rc.status 72 70 daemon() { … … 85 83 fi 86 84 87 if [ $system= debian ]; then85 if [ "$system" = debian ]; then 88 86 daemon() { 89 87 start-stop-daemon --start --exec $1 -- $2 … … 103 101 fi 104 102 105 if [ $system= gentoo ]; then103 if [ "$system" = gentoo ]; then 106 104 . /sbin/functions.sh 107 105 daemon() { … … 126 124 fi 127 125 126 if [ "$system" = slackware ]; then 127 fail_msg() { 128 echo "...fail!" 129 } 130 131 succ_msg() { 132 echo "...done." 133 } 134 135 begin() { 136 echo -n $1 137 } 138 fi 139 128 140 binary=/usr/sbin/vboxadd-timesync 129 141 130 test -x $binary|| {142 test -x "$binary" || { 131 143 echo "Cannot run $binary" 132 144 exit 1 -
trunk/src/VBox/Additions/linux/installer/vboxadd.sh
r1 r301 1 #! /bin/ bash1 #! /bin/sh 2 2 # InnoTek VirtualBox 3 3 # Linux Additions kernel module init script … … 29 29 # Description: VirtualBox Linux Additions kernel module 30 30 ### END INIT INFO 31 32 PATH=$PATH:/bin:/sbin:/usr/sbin 31 33 32 34 system=unknown … … 39 41 elif [ -f /etc/gentoo-release ]; then 40 42 system=gentoo 43 elif [ -f /etc/slackware-version ]; then 44 system=slackware 41 45 else 42 46 echo "$0: Unknown system" 1>&2 43 47 fi 44 48 45 if [ $system = redhat]; then49 if [ "$system" = "redhat" ]; then 46 50 . /etc/init.d/functions 47 51 fail_msg() { … … 60 64 fi 61 65 62 if [ $system = suse]; then66 if [ "$system" = "suse" ]; then 63 67 . /etc/rc.status 64 68 fail_msg() { … … 77 81 fi 78 82 79 if [ $system = debian]; then83 if [ "$system" = "debian" ]; then 80 84 fail_msg() { 81 85 echo "...fail!" … … 91 95 fi 92 96 93 if [ $system = gentoo]; then97 if [ "$system" = "gentoo" ]; then 94 98 . /sbin/functions.sh 95 99 fail_msg() { … … 110 114 fi 111 115 116 if [ "$system" = "slackware" ]; then 117 fail_msg() { 118 echo "...fail!" 119 } 120 121 succ_msg() { 122 echo "...done." 123 } 124 125 begin() { 126 echo -n $1 127 } 128 fi 129 112 130 kdir=/lib/modules/`uname -r`/misc 113 131 dev=/dev/vboxadd … … 120 138 121 139 fail() { 122 if [ $system = gentoo]; then140 if [ "$system" = "gentoo" ]; then 123 141 eerror $1 124 142 exit 1 … … 152 170 if [ ! -c $dev ]; then 153 171 maj=`sed -n 's;\([0-9]\+\) vboxadd;\1;p' /proc/devices` 154 test -z $maj&& {172 test -z "$maj" && { 155 173 rmmod $modname 156 174 fail "Cannot locate device major" -
trunk/src/VBox/Additions/linux/installer/vboxvfs.sh
r1 r301 1 #! /bin/ bash1 #! /bin/sh 2 2 # InnoTek VirtualBox 3 3 # Linux Additions VFS kernel module init script … … 29 29 # Description: VirtualBox Linux Additions VFS kernel module 30 30 ### END INIT INFO 31 32 PATH=$PATH:/bin:/sbin:/usr/sbin 31 33 32 34 system=unknown … … 39 41 elif [ -f /etc/gentoo-release ]; then 40 42 system=gentoo 43 elif [ -f /etc/slackware-version ]; then 44 system=slackware 41 45 else 42 46 echo "$0: Unknown system" 1>&2 43 47 fi 44 48 45 if [ $system= redhat ]; then49 if [ "$system" = redhat ]; then 46 50 . /etc/init.d/functions 47 51 fail_msg() { … … 60 64 fi 61 65 62 if [ $system= suse ]; then66 if [ "$system" = suse ]; then 63 67 . /etc/rc.status 64 68 fail_msg() { … … 77 81 fi 78 82 79 if [ $system= debian ]; then83 if [ "$system" = debian ]; then 80 84 fail_msg() { 81 85 echo "...fail!" … … 91 95 fi 92 96 93 if [ $system= gentoo ]; then97 if [ "$system" = gentoo ]; then 94 98 . /sbin/functions.sh 95 99 fail_msg() { … … 110 114 fi 111 115 116 if [ "$system" = slackware ]; then 117 fail_msg() { 118 echo "...fail!" 119 } 120 121 succ_msg() { 122 echo "...done." 123 } 124 125 begin() { 126 echo -n $1 127 } 128 fi 129 112 130 kdir=/lib/modules/`uname -r`/misc 113 131 modname=vboxvfs 114 module= $kdir/$modname132 module="$kdir/$modname" 115 133 116 134 file="" … … 119 137 120 138 fail() { 121 if [ $system= gentoo ]; then139 if [ "$system" = gentoo ]; then 122 140 eerror $1 123 141 exit 1
Note:
See TracChangeset
for help on using the changeset viewer.